TikTok Shop

One row per creator with their GMV broken down by product for the range

GET/api/public/v1/tik_tok_shop/product_creators
ConnectorAnswers empty results in the documented shape until the brand switches on this connection.

Operation id listTikTokShopProductCreators

Request

curl

curl "https://creator.growthdept.ai/api/public/v1/tik_tok_shop/product_creators?start_date=2026-11-01&end_date=2026-11-01" \
  -H "Authorization: Bearer gdc_..."

Parameters

NameInTypeNotes
start_datequerystring (date)required
end_datequerystring (date)required
pagequeryinteger Default 1
per_pagequeryinteger Default 20
searchquerystring
campaign_idqueryinteger
creator_idqueryinteger
platformquerystringOne of growiallnon_growi Default growi
organization_idqueryinteger
all_contractsquerystringOne of true
exclude_contestsquerystringOne of true
product_idquerystring

Responses

200Success

FieldTypeNotes
additional_dataobjectrequired
additional_data.currencystring, nullable
additional_data.currency_symbolstring
additional_data.total_commissionnumber
additional_data.total_gmvnumber
additional_data.total_items_refundedinteger
additional_data.total_refunded_amountnumber
additional_data.total_sku_ordersinteger
additional_data.total_units_soldinteger
dataarray of objectrequired
data[].[].affiliate_avatar_urlstring
data[].[].affiliate_emailstring
data[].[].affiliate_idinteger, nullable
data[].[].affiliate_namestring
data[].[].connected_accountobject
data[].[].connected_account.idinteger, nullable
data[].[].connected_account.profile_share_urlstring
data[].[].connected_account.usernamestring
data[].[].external_idstring
data[].[].idinteger
data[].[].latest_datestring, nullable
data[].[].product_countinteger
data[].[].productsarray of object
data[].[].products[].[].external_product_idstring
data[].[].products[].[].latest_datestring, nullable
data[].[].products[].[].product_image_urlstring, nullable
data[].[].products[].[].product_namestring, nullable
data[].[].products[].[].total_commissionnumber
data[].[].products[].[].total_commission_formattedstring
data[].[].products[].[].total_estimated_flat_feenumber
data[].[].products[].[].total_estimated_flat_fee_formattedstring
data[].[].products[].[].total_gmvnumber
data[].[].products[].[].total_gmv_formattedstring
data[].[].products[].[].total_items_refundedinteger
data[].[].products[].[].total_items_refunded_formattedstring
data[].[].products[].[].total_refunded_amountnumber
data[].[].products[].[].total_refunded_amount_formattedstring
data[].[].products[].[].total_sku_ordersinteger
data[].[].products[].[].total_sku_orders_formattedstring
data[].[].products[].[].total_units_soldinteger
data[].[].products[].[].total_units_sold_formattedstring
data[].[].total_commissionnumber
data[].[].total_commission_formattedstring
data[].[].total_estimated_flat_feenumber
data[].[].total_estimated_flat_fee_formattedstring
data[].[].total_gmvnumber
data[].[].total_gmv_formattedstring
data[].[].total_items_refundedinteger
data[].[].total_items_refunded_formattedstring
data[].[].total_live_gmvnumber
data[].[].total_live_gmv_formattedstring
data[].[].total_product_card_gmvnumber
data[].[].total_product_card_gmv_formattedstring
data[].[].total_refunded_amountnumber
data[].[].total_refunded_amount_formattedstring
data[].[].total_sku_ordersinteger
data[].[].total_sku_orders_formattedstring
data[].[].total_units_soldinteger
data[].[].total_units_sold_formattedstring
metarequired

Example

{
  "additional_data": {
    "currency": "usd",
    "currency_symbol": "string",
    "total_commission": 125.5,
    "total_gmv": 125.5,
    "total_items_refunded": 3,
    "total_refunded_amount": 125.5,
    "total_sku_orders": 3,
    "total_units_sold": 3
  },
  "data": [
    {
      "affiliate_avatar_url": "https://example.com/p/1",
      "affiliate_email": "creator@example.com",
      "affiliate_id": 1024,
      "affiliate_name": "Example name",
      "connected_account": {
        "id": 1024,
        "profile_share_url": "https://example.com/p/1",
        "username": "Example name"
      },
      "external_id": "string",
      "id": 1024,
      "latest_date": "2026-11-01",
      "product_count": 3,
      "products": [
        {
          "external_product_id": "string",
          "latest_date": "2026-11-01",
          "product_image_url": "https://example.com/p/1",
          "product_name": "Example name",
          "total_commission": 125.5,
          "total_commission_formatted": "string",
          "total_estimated_flat_fee": 125.5,
          "total_estimated_flat_fee_formatted": "string",
          "total_gmv": 125.5,
          "total_gmv_formatted": "string",
          "total_items_refunded": 3,
          "total_items_refunded_formatted": "string",
          "total_refunded_amount": 125.5,
          "total_refunded_amount_formatted": "string",
          "total_sku_orders": 3,
          "total_sku_orders_formatted": "string",
          "total_units_sold": 3,
          "total_units_sold_formatted": "string"
        }
      ],
      "total_commission": 125.5,
      "total_commission_formatted": "string",
      "total_estimated_flat_fee": 125.5,
      "total_estimated_flat_fee_formatted": "string",
      "total_gmv": 125.5,
      "total_gmv_formatted": "string",
      "total_items_refunded": 3,
      "total_items_refunded_formatted": "string",
      "total_live_gmv": 125.5,
      "total_live_gmv_formatted": "string",
      "total_product_card_gmv": 125.5,
      "total_product_card_gmv_formatted": "string",
      "total_refunded_amount": 125.5,
      "total_refunded_amount_formatted": "string",
      "total_sku_orders": 3,
      "total_sku_orders_formatted": "string",
      "total_units_sold": 3,
      "total_units_sold_formatted": "string"
    }
  ],
  "meta": {
    "current_page": 1,
    "next_page": 1,
    "prev_page": 1,
    "row_count": 3,
    "total_pages": 1,
    "page_size": 1
  }
}

Errors: 401422with an error and usually a message. See errors.

Example values are made up from each field's type and name.